Loading...
Searching...
No Matches
Opm::GridCommHandleGhostSync< FieldType, Container, EntityMapper, commCodim > Class Template Reference

Data handle for parallel communication which can be used to set the values values of ghost and overlap DOFs from their respective master processes. More...

`#include <gridcommhandles.hh>`

Inheritance diagram for Opm::GridCommHandleGhostSync< FieldType, Container, EntityMapper, commCodim >:

## Public Member Functions

| GridCommHandleGhostSync (Container &container, const EntityMapper &mapper)
bool | contains (int, int codim) const
bool | fixedSize (int, int) const
template<class EntityType>
std::size_t | size (const EntityType &) const
template<class MessageBufferImp, class EntityType>
void | gather (MessageBufferImp &buff, const EntityType &e) const
template<class MessageBufferImp, class EntityType>
void | scatter (MessageBufferImp &buff, const EntityType &e, std::size_t)

## Detailed Description

template<class FieldType, class Container, class EntityMapper, unsigned commCodim>
class Opm::GridCommHandleGhostSync< FieldType, Container, EntityMapper, commCodim >

Data handle for parallel communication which can be used to set the values values of ghost and overlap DOFs from their respective master processes.

The documentation for this class was generated from the following file:

- opm/models/parallel/gridcommhandles.hh